F36 plasma - discover offering to "update" me to f35

image

I’m confused as to why f36 is offering me an update that takes me backwards? Bug? Something I need to configure?

Thanks

It hard to say with that small snippet but it may be the f35 platform flatpak that is being updated there. It is possible that you still have a flatpak that requires it or it is possible it is unused and could be removed with flatpak uninstall --unused

Thanks for the suggestion. All I got back from that was “Nothing unused to uninstall”.

I dont know if this helps at all, but this is a clean f36 install. The machine was NOT upgraded from f35.

Can we see the output of flatpak list

2 lines, one for Prusa slicer, the other was this:

Fedora Platform org.fedoraproject.Platform 35 f35 system

Clearly explains something but confused why thats there when the system config report is this:
Operating System: Fedora Linux 36
KDE Plasma Version: 5.25.3
KDE Frameworks Version: 5.96.0
Qt Version: 5.15.5
Kernel Version: 5.18.13-602.inttf.fc36.x86_64 (64-bit)
Graphics Platform: X11
Processors: 12 × 12th Gen Intel® Core™ i5-12400F
Memory: 31.1 GiB of RAM
Graphics Processor: llvmpipe

The fedora 35 platform flatpak isn’t only tied to which version of Fedora you are running. It has to do with what other flatpaks require it. It is possible that the other flatpak you have installed requires it.

Since you are only sharing tiny snippets of things instead of full outputs it is somewhat hard to help you.

If you share the full output from flatpak list --app --columns=application,runtime we can maybe be of more assistance.

1 Like

Dalto,

Thanks for the command suggestions. That last one does reveal that Prusa Slicer is the one requesting the f35 flatpak. Mystery solved.

Thanks again

1 Like

It is likely that it will move to a later version at some point. When it updates it may start depending on the f36 platform runtime.